Subject: bug#72420: set-goal-column misbehaves with a line-prefix and visual-line-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Aug 2024 15:19:56 +0300

> From: "Martin Edstrom" <[email-masked]>
> CC: "72420" <[email-masked]>
> Date: Wed, 07 Aug 2024 14:07:45 +0200 (CEST)
> 
> But, it's odd that visual-line-mode does not affect it for you - it does for me. 
> 
> If I leave visual-line-mode off, then I get the behavior I expect (i.e. set-goal-column at column 2 is treated as column 6), which is useful.  Turning it on causes the command to behave in a way that is not useful, as I described.

If you leave visual-line-mode off, then type C-p twice from "z", don't
you see point go to the 3rd "*" of the line "**** h4"?  And if so,
isn't that what you meant by "the goal column actually seems to be
offset in some way influenced by the line prefix"?  Or did I
misunderstand what you consider a problem in the existing behavior?